<?php

namespace App\Modules\HtlCampSchedule\Application\UpdateLock;

use App\Modules\Shared\Domain\Bus\Command\Command;

final class UpdateLockHtlCampScheduleCommand implements Command
{
    public function __construct(
        private int $id,
        private int $lock,
    ) {}

    public function id(): int
    {
        return $this->id;
    }

    public function lock(): int
    {
        return $this->lock;
    }
}
